import * as core from "./core.mjs";
export { exists, get_tick } from "./core.mjs";

import * as entity from "../entity.mjs";



export function init (enemy, name, params) {
	entity.get_meta(enemy).set("behaviour", name);

	const behaviour = core.get(name);
	if (behaviour.hasOwnProperty("init")) {
		behaviour.init(enemy, params);
	}
}




import "./sine_x.mjs";
import "./sine_y.mjs";
import "./path.mjs";
