import { create_level } from "./core.mjs";

create_level(3, {
	player: {
		pos: {
			x: 300,
			y: 50,
		},
		speed: 90,
	},
	goal: {
		pos: {
			x: 300,
			y: 300,
		},
	},
	next_level: 4,
	enemies: [
		// walls:
		{
			pos: [240, 0],
			size: [20, 400],
		},
		{
			pos: [380, 0],
			size: [20, 400],
		},

		{
			pos: [300, 100],
			size: [40, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 40],
				["movement_speed", 1/2],
			],
		},
		{
			pos: [295, 200],
			size: [50, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 40],
				["movement_speed", 2/2],
			],
		},
	],
});
