const key_states = new Map();

export function pressed (key) {
	return key_states.has(key) && key_states.get(key);
}

document.body.addEventListener("keydown", e => {
	key_states.set(e.key, true);
});
document.body.addEventListener("keyup", e => {
	key_states.set(e.key, false);
});
