import { create_level } from "./core.mjs";

create_level(1, {
	player: {
		pos: {
			x: 300,
			y: 50,
		},
		speed: 80,
	},
	goal: {
		pos: {
			x: 300,
			y: 500,
		},
	},
	next_level: 2,
	enemies: [
		// the first 2 are walls:
		{
			pos: [180, 0],
			size: [20, 600],
		},
		{
			pos: [440, 0],
			size: [20, 600],
		},

		{
			pos: [300, 100],
			size: [40, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 100],
				["movement_speed", 4/16],
			],
		},
		{
			pos: [300, 200],
			size: [40, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 100],
				["movement_speed", 5/16],
			],
		},
		{
			pos: [300, 300],
			size: [40, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 100],
				["movement_speed", 6/16],
			],
		},
		{
			pos: [300, 400],
			size: [40, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 100],
				["movement_speed", 7/16],
			],
		},
	],
});
