import { create_level } from "./core.mjs";

create_level(2, {
	player: {
		pos: {
			x: 300,
			y: 50,
		},
		speed: 90,
	},
	goal: {
		pos: {
			x: 300,
			y: 400,
		},
	},
	next_level: 3,
	enemies: [
		// walls:
		{
			pos: [230, 0],
			size: [20, 500],
		},
		{
			pos: [390, 0],
			size: [20, 500],
		},

		{
			pos: [300, 100],
			size: [40, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 50],
				["movement_speed", 1/4],
			],
		},
		{
			pos: [298, 200],
			size: [44, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 50],
				["movement_speed", 2/4],
			],
		},
		{
			pos: [296, 300],
			size: [48, 40],
			behaviour: "sine_x",
			meta: [
				["movement_scale", 50],
				["movement_speed", 3/4],
			],
		},
	],
});
