const tickers = [];

export function register_tick (callback) {
	tickers.push(callback);
}

let last_tick = new Date().getTime();
export function tick () {
	const deltatime = new Date().getTime() - last_tick;
	last_tick += deltatime;
	
	for (const callback of tickers) {
		callback(deltatime / 1000);
	}
}
